curl --request POST \
--url https://api.hubapi.com/files/v3/folders/update/async \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"name": "<string>",
"parentFolderId": 123
}
'{
"id": "57122e26-59f8-4cfc-ba53-96e30c816762",
"links": [
{
"status": "https://api.hubspot.com/files/v3/folders/update/async/tasks/57122e26-59f8-4cfc-ba53-96e30c816762/status"
}
]
}curl --request POST \
--url https://api.hubapi.com/files/v3/folders/update/async \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"name": "<string>",
"parentFolderId": 123
}
'{
"id": "57122e26-59f8-4cfc-ba53-96e30c816762",
"links": [
{
"status": "https://api.hubspot.com/files/v3/folders/update/async/tasks/57122e26-59f8-4cfc-ba53-96e30c816762/status"
}
]
}Productos compatibles
Ámbitos Requeridos
The access token received from the authorization server in the OAuth 2.0 flow.
El identificador único de la carpeta que se actualizará.
Nuevo nombre. Si se especifica, el nombre de la carpeta y el parámetro fullPath cambiarán. Todos los elementos de la carpeta se actualizarán en consecuencia.
Nuevo folderId principal. Si se cambia, la carpeta y todos sus elementos se moverán a la carpeta especificada. Los parámetros parentFolderId y parentFolderPath no se pueden especificar al mismo tiempo.
accepted